package com.fjhx.wms.service;

import com.fjhx.wms.entity.QualityDetailsPo;
import com.fjhx.wms.entity.stock.dto.StockWaitDto;
import com.fjhx.wms.entity.stock.po.StockWait;

import java.math.BigDecimal;
import java.util.List;

public interface WmsService {

    /**
     * 销售订单出库
     */
//    void outbound(StockWaitDetailsDto stockWaitDetailsDto);

    /**
     * 销售订单出库多条
     */
    void outbounds(StockWaitDto stockWaitDto);

    /**
     * 添加结束入库异常
     */
    void addEndInStockAbnormal(StockWait stockWait, Long purchaseId);

    /**
     * 获取采购退货信息
     */
    Object getPurchaseBackInfo(Long id);

    /**
     * 根据到货id获取质检明细
     */
    List<QualityDetailsPo> getQualityDetailsList(List<Long> arrivalStockRecordsDetailsIds);

    /**
     * 自动组合
     */
    void autoCombination(Long productId, BigDecimal quantity, Long warehouseId);

//    /**
//     * 京东订单excel出库
//     */
//    void jdOrderOutbound(StockWaitDto stockWaitDto);

//    /**
//     * 采购退货excel出库
//     */
//    void purchaseBackOutbound(StockWaitDto stockWaitDto);

    void editArrivalRemark(Long businessId, String arrivalRemark);

    String getArrivalRemark(Long businessId);

    /**
     * 创建京东订单待出库物流信息
     */
    void createJdLogisticsInfo(StockWaitDto dto);

    /**
     * 京东订单待出库自动回告
     */
    void jdTellBackOrer(StockWaitDto dto);
}
